com.holonplatform.core.i18n

## Enum TemporalFormat

- java.lang.Object
- - java.lang.Enum<TemporalFormat>
  - - com.holonplatform.core.i18n.TemporalFormat

- All Implemented Interfaces:
    Serializable, Comparable<TemporalFormat>

      public enum TemporalFormat
      extends Enum<TemporalFormat>

  Enumeration of the format style of a date, time or date-time formatter.
  Since:
    5.0.0
  See Also:
    `LocalizationContext`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Default.
    `FULL` Full style, with the most detail.
    `LONG` Long style, with lots of detail.
    `MEDIUM` Medium style, with some detail.
    `SHORT` Short style, typically numeric.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormatStyle` | `getDateFormatStyle()` Date `FormatStyle`
    `int` | `getDateStyle()` Date `DateFormat` style
    `FormatStyle` | `getTimeFormatStyle()` Time `FormatStyle`
    `int` | `getTimeStyle()` Time `DateFormat` style
    `static TemporalFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TemporalFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final TemporalFormat DEFAULT

      Default. Use the default display style according to current context.

    - #### SHORT

          public static final TemporalFormat SHORT

      Short style, typically numeric.

    - #### MEDIUM

          public static final TemporalFormat MEDIUM

      Medium style, with some detail.

    - #### LONG

          public static final TemporalFormat LONG

      Long style, with lots of detail.

    - #### FULL

          public static final TemporalFormat FULL

      Full style, with the most detail.

  - ### Method Detail

    - #### values

          public static TemporalFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TemporalFormat c : TemporalFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TemporalFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDateFormatStyle

          public FormatStyle getDateFormatStyle()

      Date `FormatStyle`
      Returns:
        Date `FormatStyle`

    - #### getTimeFormatStyle

          public FormatStyle getTimeFormatStyle()

      Time `FormatStyle`
      Returns:
        Time `FormatStyle`

    - #### getDateStyle

          public int getDateStyle()

      Date `DateFormat` style
      Returns:
        Date `DateFormat` style

    - #### getTimeStyle

          public int getTimeStyle()

      Time `DateFormat` style
      Returns:
        Time `DateFormat` style

Copyright © 2017 The Holon Platform. All rights reserved.